List owned services with their catalog and canonical placement
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/registry/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/registry/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/registry/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/registry/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/registry/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/registry/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/registry/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"catalog": [
{
"id": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"recommended": true,
"foundations": [
"<string>"
],
"icon_url": "<string>"
}
],
"kit_deployments": [
{}
],
"servers": [
{}
],
"services": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"kit_deployment_id": "<string>",
"server_id": "<string>",
"allowed_actions": "<unknown>",
"inventory_revision": 123,
"desired_state": "<string>",
"observed_state": "<string>",
"version": "<unknown>",
"catalog": "<unknown>",
"mutation_lock": "<unknown>",
"application_key": "<string>",
"application_name": "<string>",
"type": "<string>",
"status": "<string>",
"health_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"management_state": "managed",
"stack_name": "<string>",
"server_name": "<string>",
"environment_class": "<string>",
"port": 123,
"url": "<string>",
"provenance": "<unknown>",
"action_guard": "<unknown>"
}
],
"migration_available": true,
"migration_unavailable_reason": "<string>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Services
List owned services with their catalog and canonical placement
Runtime records use the same state, capabilities, version and owner lock projection as service detail. Historical records remain readable with unknown observed state and no unmeasured action capabilities.
GET
/
api
/
v1
/
registry
/
services
List owned services with their catalog and canonical placement
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/registry/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/registry/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/registry/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/registry/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/registry/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/registry/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/registry/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"catalog": [
{
"id": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"recommended": true,
"foundations": [
"<string>"
],
"icon_url": "<string>"
}
],
"kit_deployments": [
{}
],
"servers": [
{}
],
"services": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"kit_deployment_id": "<string>",
"server_id": "<string>",
"allowed_actions": "<unknown>",
"inventory_revision": 123,
"desired_state": "<string>",
"observed_state": "<string>",
"version": "<unknown>",
"catalog": "<unknown>",
"mutation_lock": "<unknown>",
"application_key": "<string>",
"application_name": "<string>",
"type": "<string>",
"status": "<string>",
"health_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"management_state": "managed",
"stack_name": "<string>",
"server_name": "<string>",
"environment_class": "<string>",
"port": 123,
"url": "<string>",
"provenance": "<unknown>",
"action_guard": "<unknown>"
}
],
"migration_available": true,
"migration_unavailable_reason": "<string>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}